Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.kemet.orm.castor
Class ItemType

    java.lang.Object
      org.kemet.orm.castor.ItemType

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  Item

    public class ItemType

extends java.lang.Object
implements java.io.Serializable

Class ItemType.

Version:
  $Revision$ $Date$
See Also:
  Serialized Form

Constructor Summary
`ItemType()`

Method Summary
`void` | `deleteName()`
`java.lang.String` | `getId()` Returns the value of field 'id'.
`ItemTypeSequence` | `getItemTypeSequence()` Returns the value of field 'itemTypeSequence'.
`ItemTypeSequence2` | `getItemTypeSequence2()` Returns the value of field 'itemTypeSequence2'.
`boolean` | `getName()` Returns the value of field 'name'.
`boolean` | `hasName()` Method hasName.
`boolean` | `isName()` Returns the value of field 'name'.
`boolean` | `isValid()` Method isValid.
`void` | `marshal(org.xml.sax.ContentHandler handler)`
`void` | `marshal(java.io.Writer out)`
`void` | `setId(java.lang.String id)` Sets the value of field 'id'.
`void` | `setItemTypeSequence(ItemTypeSequence itemTypeSequence)` Sets the value of field 'itemTypeSequence'.
`void` | `setItemTypeSequence2(ItemTypeSequence2 itemTypeSequence2)` Sets the value of field 'itemTypeSequence2'.
`void` | `setName(boolean name)` Sets the value of field 'name'.
`static ItemType` | `unmarshal(java.io.Reader reader)` Method unmarshal.
`void` | `validate()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ItemType

    public ItemType()

Method Detail

### deleteName

    public void deleteName()

### getId

    public java.lang.String getId()

  Returns the value of field 'id'.

  Returns:
    the value of field 'Id'.

### getItemTypeSequence

    public ItemTypeSequence getItemTypeSequence()

  Returns the value of field 'itemTypeSequence'.

  Returns:
    the value of field 'ItemTypeSequence'.

### getItemTypeSequence2

    public ItemTypeSequence2 getItemTypeSequence2()

  Returns the value of field 'itemTypeSequence2'.

  Returns:
    the value of field 'ItemTypeSequence2'.

### getName

    public boolean getName()

  Returns the value of field 'name'.

  Returns:
    the value of field 'Name'.

### hasName

    public boolean hasName()

  Method hasName.

  Returns:
    true if at least one Name has been added

### isName

    public boolean isName()

  Returns the value of field 'name'.

  Returns:
    the value of field 'Name'.

### isValid

    public boolean isValid()

  Method isValid.

  Returns:
    true if this object is valid according to the schema

### marshal

    public void marshal(java.io.Writer out)
                 throws org.exolab.castor.xml.MarshalException,
                        org.exolab.castor.xml.ValidationException

  Parameters:
    `out` -
  Throws:
    `org.exolab.castor.xml.MarshalException` - if object is null or if any SAXException is thrown during marshaling
    `org.exolab.castor.xml.ValidationException` - if this object is an invalid instance according to the schema

### marshal

    public void marshal(org.xml.sax.ContentHandler handler)
                 throws java.io.IOException,
                        org.exolab.castor.xml.MarshalException,
                        org.exolab.castor.xml.ValidationException

  Parameters:
    `handler` -
  Throws:
    `java.io.IOException` - if an IOException occurs during marshaling
    `org.exolab.castor.xml.ValidationException` - if this object is an invalid instance according to the schema
    `org.exolab.castor.xml.MarshalException` - if object is null or if any SAXException is thrown during marshaling

### setId

    public void setId(java.lang.String id)

  Sets the value of field 'id'.

  Parameters:
    `id` - the value of field 'id'.

### setItemTypeSequence

    public void setItemTypeSequence(ItemTypeSequence itemTypeSequence)

  Sets the value of field 'itemTypeSequence'.

  Parameters:
    `itemTypeSequence` - the value of field 'itemTypeSequence'

### setItemTypeSequence2

    public void setItemTypeSequence2(ItemTypeSequence2 itemTypeSequence2)

  Sets the value of field 'itemTypeSequence2'.

  Parameters:
    `itemTypeSequence2` - the value of field 'itemTypeSequence2'.

### setName

    public void setName(boolean name)

  Sets the value of field 'name'.

  Parameters:
    `name` - the value of field 'name'.

### unmarshal

    public static ItemType unmarshal(java.io.Reader reader)
                              throws org.exolab.castor.xml.MarshalException,
                                     org.exolab.castor.xml.ValidationException

  Method unmarshal.

  Parameters:
    `reader` -
  Returns:
    the unmarshaled org.kemet.orm.castor.ItemType
  Throws:
    `org.exolab.castor.xml.MarshalException` - if object is null or if any SAXException is thrown during marshaling
    `org.exolab.castor.xml.ValidationException` - if this object is an invalid instance according to the schema

### validate

    public void validate()
                  throws org.exolab.castor.xml.ValidationException

  Throws:
    `org.exolab.castor.xml.ValidationException` - if this object is an invalid instance according to the schema

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 F. MAUPIN. All Rights Reserved.